<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="mySalesTargetLabel" jhiTranslate="mpmApp.salesTarget.home.createOrEditLabel">Create or edit a Sales Target</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group">
            <label class="form-control-label" for="field_idslstrgt">ID</label>
            <input type="text" class="form-control" name="idslstrgt" id="field_idslstrgt"
                [(ngModel)]="salesTarget.idslstrgt" [readonly]="true" />
        </div>

        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.salesTarget.internal" for="field_internal">Internal</label>
            <input type="text" class="form-control" name="internal" id="field_internal"
                [(ngModel)]="salesTarget.internal" [readonly]="true" />
        </div>

        <div class="form-group" >
            <label jhiTranslate="mpmApp.vehicleCustomerRequest.salesman" for="field_Salesman">Salesman</label>
            <select class="form-control" name="salesman" id="field_Salesman" [(ngModel)]="salesTarget.idsalesman">
                    <option [value]="null">Select Salesman</option>
                    <option [value]="salesman.idPartyRole" *ngFor="let salesman of salesmans">{{salesman.partyName}}</option>
            </select>
        </div>

        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.salesTarget.targetsales" for="field_targetsales">Target Sales</label>
            <input type="number" class="form-control" name="targetsales" id="field_targetsales"
                [(ngModel)]="salesTarget.targetsales"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.salesTarget.dtfrom" for="field_dtfrom">Date From</label>
            <div class="input-group input-calendar">
                    <p-calendar inputId="field_dtfrom" name="dtfrom" 
                        dateFormat="dd-M-yy" 
                        [showIcon]="true"
                        [(ngModel)]="salesTarget.dtfrom"
                        [showTime]="true" hourFormat="24" 
                        [showSeconds]="true"
                        [showIcon]="true"
                        ></p-calendar>
                </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.salesTarget.dtthru" for="field_dtthru">Date From</label>
            <div class="input-group input-calendar">
                    <p-calendar inputId="field_dtthru" name="dtthru" 
                        dateFormat="dd-M-yy" 
                        [showIcon]="true"
                        [(ngModel)]="salesTarget.dtthru"
                        [showTime]="true" hourFormat="24" 
                        [showSeconds]="true"
                        [showIcon]="true"
                        ></p-calendar>
                </div>
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
